Bug 174054 - cups upgrade doesnt preserve entire printer configuration
cups upgrade doesnt preserve entire printer configuration
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-11-23 21:45 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-12 12:14:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JW 2005-11-23 21:45:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
cups upgrade destroys some printer configuration information.
In particular, default printer paper reverts to "Letter" when had been changed to "A4".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.modify printer paper size to a4
2.rpm -Fvh cups-NNNN
3.check printer paper size


Actual Results:  paper size set to Letter

Expected Results:  paper size remain set to A4

Additional info:

Perhaps the default should be changed to A4, so that when this sort of bug occurs users/developers in USA will pick it up real quick. As it stands, by setting defaults to local defaults, many bugs dont get picked up early enough.

If I was Redhat I would set all defaults to something foreign. That way I would pick up problems straight away.
Comment 1 Tim Waugh 2005-11-24 04:19:30 EST
You don't say how you are modifying the printer size -- are you doing that
through the CUPS web interface for a queue that has been created using
Comment 2 JW 2005-11-24 05:49:18 EST
(In reply to comment #1)
> You don't say how you are modifying the printer size -- are you doing that
> through the CUPS web interface for a queue that has been created using
> system-config-printer?

Through CUPS web interface for a queue that has been created using CUPS web
Comment 3 Tim Waugh 2005-11-24 06:05:26 EST
(FWIW, I myself use A4 paper.)

I have been unable to reproduce this problem.  Here are the steps I used:

Start firefox and browse to http://localhost:631/
Choose 'Do Administration tasks'
Add a new printer called 'deskjet'

In a shell, 'cp /etc/cups/ppd/deskjet.ppd /tmp/ppd-letter'

Choose 'Configure printer'
Set page size to A4 and click 'Continue
In a shell, 'cp /etc/cups/ppd/deskjet.ppd /tmp/ppd-before-upgrade'

Upgrade CUPS (rpm -Uvh --force cups-*.rpm)

In a shell, 'grep DefaultPageRegion /etc/cups/ppd/deskjet.ppd':
*DefaultPageRegion: A4

In a shell, 'diff -du /tmp/ppd-before-upgrade /etc/cups/ppd/deskjet.ppd'
(no output)

In a shell, 'diff -U0 /tmp/ppd-letter /tmp/ppd-before-upgrade':
-*DefaultPageSize: Letter
+*DefaultPageSize: A4

This shows that the page size is stored in the PPD, and that the PPD was not
modified on upgrade.

Please try the same steps on your installation and let's see what the difference is.
Comment 4 JW 2005-11-24 07:09:25 EST
I never did "rpm -Uvh --force cups-*.rpm".
I probably did "rpm -Fvh cups-1.1.23-15.1.i386.rpm".
That is, I never reinstalled the same version - I upgraded from 1.1.23-15 to

All I have at this stage is backup copy of the ppd before, which contained A4
setting.  There wasn't a system backup between time I upgraded cups and when I
corrected noticed it had reverted to Letter, so you only have my word for it.

But I also notice that specific configuration information in cupsd.conf also
disappeared - especially per-printer "Allow From" lines and a "Listen" line.  So
whatever did it also zapped cupsd.conf. However, other configuration content
(before auto stuff in cupsd.conf) was preserved ok.

BTW alchemist wasn't upgraded, but about 500 other modules were (simultaneously).
Comment 5 Tim Waugh 2005-11-24 08:12:24 EST
You filed a separate bug report for cupsd.conf -- that is a known issue.  But
PPD files should certainly not be altered just by upgrading the cups package.

I know that you used -Fvh for a newer version; however, since no PPD files are
shipped in /etc/cups/ppd in the RPM, this makes no difference.  Only RPM
scriptlets or triggers could be responsible, and as far as I can tell they are not.

What is the queue name of the affected queue, and what does 'printconf-tui
--Xexport' say?
Comment 6 John Thacker 2006-05-05 17:34:05 EDT
Closing due to lack of response by reporter.
Comment 7 JW 2006-05-05 20:10:53 EDT
(In reply to comment #6)
> Closing due to lack of response by reporter.

In response might I add that it appears to spontaneously revert to Letter page
size sometimes after a reboot.  It might have something to do with usb printer
registration, but I have neither the time, or money, to be able to afford to
investigate further.

But there is a problem, and it isn't just a figment of my imagination.

Note You need to log in before you can comment on or make changes to this bug.